## Künstlich intelligente virtuelle Humanoide und damit verbundene Missverständnisse
### Motivation
- Einen interaktiven Character erzeugen mit mediativen oder emphatischen Funktionen, Fokus auf den Bereich Interaktion Mensch-Maschine 
- Funktionen finden welche die Maschine als den „besseren Menschen“ wirken lassen  
- Über die genauen Bedeutungen der Begriffe "künstlich" und "Intelligenz" wird gestritten. Kann synthetisiert werden was nicht begriffen ist?  
- Mangelndes Bewusstsein über Möglichkeiten "künstlicher Intelligenz" und interaktiver Kunst (apparative Kunst bis Videospiel) so wie virtueller Humanoider (von Autoren erdachte Phantasiefiguren, Personen aus Comic oder Film bis realer Roboter) führt zu Missverständnissen, kann ein Gefühl von "Mensch versus Maschine" erzeugen und / oder Interaktion mit Technik interessanter als Interaktion unter Menschen erscheinen lassen  

### Einleitung
Google beauftragt Künstler via Ausschreibungen mit künstlichen Charakteren die uncanny Valley nicht nur auf graphischer Ebene, sondern auch auf Ebene der Interaktion zu überwinden. Hier sollen Systeme entstehen welche so reagieren und/oder agieren können, dass sie menschlich wirken.  
Wo liegen die Unterschiede zwischen virtuellen Charakteren welche durch Software (oder sonstiger Apparatur) intelligent agierend erscheinen, und fiktiven Charakteren wie sie von Buchautoren, Puppenspielern oder Character-Designern erschaffen werden, welche nicht über ein solches System verfügen?  
Viele Bereiche des menschlichen Gehirns sind unerforscht, wie z.B. das Bewusstsein, das Vergessen, etc.  
Diese zu simulieren sorgt für reisserische Überschriften: “Dieser Computer kann sich erinnern!” “Das ist echte Intelligenz!” “Die Maschine hat ein Bewusstsein!”  
Elon Musk sagte: “Mit AI beschwören wir den Dämonen!” - um darauf hin selbst eine "AI" programmieren zu lassen, die einen Computerspiel-charakter in Form eines unheimlich böse aussehenden Dämons des Spieles DotA 2 steuert, und auf einem großen Festival („The International 2017“) gegen den amtierenden Weltmeister des Spieles vor sehr viel jungem Publikum gewann.  
Elon Musks Darstellung von "AI":  
![Elon Musks AI](dota2.png)  
  
Alexa zeigt Fehlerhaftigkeiten, die sie in der uncanny Valley verbleiben lässt. Gleichzeitig bewerkstelligen es einzelne Künstler mit individuellen Projekten Arbeiten dieser Art voll menschlich wirken zu lassen. Dies funktioniert deshalb, weil man nicht weiß, wie das natürliche Vorbild (der Mensch) funktioniert.  
Durch das Herumstochern in unerforschten Gebieten der Natur werden breite Projektionsflächen für Interpretationen hervorgebracht (welche die Forschung auch inspirieren können).  
  
Wir sind dazu geneigt Eigenschaften von Apparaten metaphorisch zu beschreiben. Strom “fließt”. Für den technischen Wissenschaftszweig "computational neuro science" generiert dies Missverständnisse, teilt er sich doch fast den gleichen Namen wie die "neuro science" aus Biologie und Psychologie.  
  
In einem modernen Prozessor befinden sich zehn Milliarde Transistoren auf drei mal vier Centimeter Fläche. Da blickt kaum jemand mehr durch.  
„Künstliche Intelligenz" ist auch deshalb wieder groß im Gespräch weil automatisch generierte Algorithmen absolut nicht mehr nachvollziehbar sein können. Theoretisch sind zwar auch hochkomplexe erlernte Softwaremodelle „reverse-engineer“-bar, die Praxis zeigt jedoch wahrscheinlich schon immer dass von Menschen gemachte logische Systeme für sie selbst oft nicht mehr nachvollziehbar sind. Viele verstehen das jetzt erst.  
 
Unter künstlerischen Aspekten ist die Illusion einer „Menschlichkeit“ im Kunstwerk durch diese Faktoren erreichbar.  
  
### Referenzen 
#### Frieder Nake
Zitat von Frieder Nake auf dem Eyeo Festival 2014, frei übersetzt:  
"Nachdem Max Bense und Georg Nees auf der ersten Computergraphik-Ausstellung 1965 in Stuttgart sprachen fragte ein Künstler aus dem Publikum: 'Können Sie die Maschine so malen lassen, wie ich es tue?' Nees antwortete nach kurzer Überlegung: 'Ja natürlich! Wenn Sie mir sagen, wie sie das machen.' (lacht)  
Wir wissen nicht wie wir malen. Diese Frage hat also ein für alle mal in meinem Leben die Frage nach der künstlichen Intelligenz geklärt.   Es gibt keine künstliche Intelligenz, es ist unmöglich, und es ist dumm darüber zu sprechen, wenn nicht gemeint ist: 'Die Art intelligenten Verhaltens die wir erklärt haben, die wir so explizit ausdrücken können, dass wir sie selbst in Programmen beschreiben können, also „computable“ Funktionen.' - Aber Mathematiker wissen, dass es viel mehr Funktionen in unserer Welt gibt als in der Computerwelt. Das ist kein Glaube, das ist ein mathematischer Beweis. Die Welt ist voller Funktionen, unendlich viele, nur eine kleine Anzahl davon sind 'computable'. Aber die 'non-computablen' Funktionen sind unendlich, unendlich-fach mehr! Es gibt dort also keine Gefahr. Wir benutzen Maschinen, und was auch immer wir mit denen machen, das müssen sie tun. Selbst wenn ich nicht genau verstehe was mein Programm macht." 

#### Andrew Glassner
Auf einer Exkursion zur FMX 2019 von der HBK Saar gab es einen sehr interessanten, ganztägigen Block zum Thema "AI" hauptsächlich aus technischer und auch, wenn auch kürzer, aus moralischer Perspektive von Andrew Glassner.  
Er gab hier einen fast 3-stündigen "Crash Course in Deep Learning", welcher sehr visuell die komplette Entwicklungspipeline von State of the Art „AI“ vorstellte. Er beteuerte hierbei immer wieder, dass man sich der Fälsche der Begriffe bewusst sein muss: "Das ist keine Intelligenz, das heist nur so!" "Ich hasse es, dass ich jetzt von 'Neuronen' sprechen muss!" etc.  
Es wurde klar, dass es sich bei diesen Begriffen nur um für Programmierer nötige Metaphern handelt.
  
#### Richard David Precht
Ich zitiere Richard David Precht aus dem Film "Codonaut" (2019 von Florian Thalhofer, Stefan Westhpal und Felix Pauschinger):  
"Menschen leben zum größten Teil nicht in der Realität, sondern Menschen leben in ihren Vorstellungswelten. In ihren Erinnerungen davon was früher war, in ihren Träumen von dem, was in Zukunft ist, in Gedankenspielen, die sich in ihrem Kopf den ganzen Tag über ereignen, Phantasien, in die man sich flüchtet, Einfälle die man hat, die nichts mit der unmittelbaren, praktischen Realität zu tun haben. Und das bestimmt ganz, ganz massiv unser Denken.  
Die Vorstellung, dass wir endlich sind, bestimmt unser Denken. Also, unsere Form von Zeitplanung, unsere Form mit uns, mit dem Leben und mit Anderen umzugehen hat viel mit unserer Endlichkeit zu tun. Die Endlichkeit taktet sozusagen das, was für uns relevant ist, oder wichtig ist - und damit kommen wir in die Ethik rein. Wir setzen Sinn und Relevanz - wir haben Werte. Alles das werden sie in der künstlichen Intelligenz nicht in irgend einer Form finden.  
Wenn man sich anguckt wie groß der Graben ist zwischen der Fähigkeit Go zu spielen und Schach zu spielen und denen Dingen über die ich gerade gesprochen habe - dieser Graben ist unendlich tiefer als der Mariannengraben. Das ist nicht etwas, wo man sagt: "Wenn A erfüllt ist dann kommt unweigerlich B." Das stimmt nicht. Dieser Graben ist wahnsinnig tief. Ich mache jetzt keine religiöse Aussage und sage "Das wird nie überschritten." Aber es wird eine Stagnation auf diesem Sektor der Intelligenz geben und die wird genau an diesem Graben anhalten. Deswegen ist das, was Ray Kurzweil und so einige Utopisten aus dem Silicon Valley erzählen, die sich irgendwie vorstellen dass irgendwann mal die Computer auch die Macht ergreifen könnten, menschliche Gelüste haben, menschliche Emotionsdynamik und so weiter.   Also, einen Roboter so zu programmieren, dass er tatsächlich Gefühle entwickelt. Also diese Vorstellung von Odyssee 2001 im Weltraum, dass HAL irgendwann so intelligent ist, dass sie auch Gefühle hat und anfängt böse zu werden oder so - da sind wir Lichtjahre von entfernt, und das wird hier niemand zu Lebzeiten noch erleben, und das wird ewig dauern. Diesen Graben unterschätzen wir, der ist riesig."

### NPC's
Über interaktive “Menschsimulationen” wurde noch wenig geschrieben im Vergleich dazu, wie viel daran gearbeitet wird.  
"Non-playable Characters" sind virtuelle, interaktive, meist  humanoide, meist zwei- oder dreidimensional dargestellte Wesen aus Videospielen.  
Spiele wie "Persona" oder ".hack" bieten Freundschaftssimulationen mit gescripteten 3D-Charakteren an, welche unterschiedlich reagieren, zum Teil mit Zufallsfaktoren im Algorithmus, welcher Reaktionen der Charaktere unvorhersehbar "auswählt".  
Die Interaktion mit NPC's wird unvorhersehbarer. Zufallsfaktoren, undurchsichtig große Komplexität, wie sie durch das Trainieren eines künstlichen neuronalen Netzes erzeugt werden kann, und Defekte (z.B. Glitches) lassen sie lebendiger erscheinen.  
  
Die Frage nach virtuellen Humanoiden reicht auch zu nicht-interaktiven Versionen - Charaktere, welche durch Schauspieler verkörpert werden, gezeichnet sind oder, nicht visualisiert, durch das Lesen erfahrbar werden.  
Künstlichen Charaktere von Autoren oder Character-Designern entworfen umgeben uns ständig, Phantasiefreunde gilt es zu respektieren.  
Es sollte aufgeklärt werden, dass ein technisch gesteuertes virtuelles Wesen nicht realer ist als jede andere fiktive Figur.  
  
### "Homunkulus"
Das Thema des "Homunkulus" existiert schon scheinbar ewig. Mit neuen Praktiken der Gentechnik sind wir dazu real in der Lage einen künstlichen Menschen zu erzeugen.  
Einen Schritt zurück sehen wir jetzt dass selbst eine Pflanze, die rein synthetisches DNA in sich trägt und deren Gensequenzen von einer AI assembliert wurde, die, bis sie zum Spross heran wuchs, im Reagenzglas lebte, die also zu 100% keine organischen Vorfahren / Erschaffer hat, dafür keine Diskriminierung erfährt.  

### Gesichter
Man ist dazu veranlagt Menschen zu erkennen, mit Menschen zu interagieren, Menschen zu machen, oder zumindest etwas, was als menschenhaft identifiziert werden kann. Diese immer selben Lieder wurden in bekannten Seifenopern bereits vielfach ausgiebig behandelt.  
Das Interesse an echten Menschen reduziert sich durch die Wahrnehmung künstlicher Menschen (Trugbildern).  
Das Erstellen von Götzen / Idolen / Fetischen ist das unbewusste Externalisieren von Teilen der eigenen Person.   
Was können Motivationen sein und was sind die Auswirkungen im Künstler davon, einen künstlichen Charakter zu machen? Und was bewirkt es, ein unechtes Gesicht zu sehen? Was bewirkt es im Rezipienten, ein künstliches Gesicht zu sehen?  
Ein Abstraktum zu personifizieren nimmt diesem viel Reiz - man ist nicht mehr dazu angehalten, die eigene Phantasie zu verwenden, wodurch anstatt des mysteriösem Schemen, dem „Fantastischem“, welches der Rezipient selbst macht, eine plumpe Konkretheit gegen wird (z.B. Zeichentrickfigur), welche zudem immer „schwächer“ als ein reales Gesicht, z.B. aufgrund fehlender Mikrogesten usw.  
"Sophia" wirkt albern durch ihr Gesicht. Hätte sie keines, so wäre ihre Wirkung noch viel stärker. Aber die Weise, auf die sie präsentiert wird, macht sie direkter greifbar für ein breites Publikum, es schlägt den Zuschauern die uncanny Valley praktisch ins Gesicht.  
![Sophia](sophia.jpg)  
Was wäre, wenn Sophia wie Siren die uncanny Valley durch photorealistische CGI hinter sich ließe? 
![Siren](siren.jpg)  
Was wäre, wenn sie gar kein Gesicht hätte?  
   
Es ist erstaunlich, wie viel Energie in die visuelle Erscheinung eines Characters gesteckt wird, während dessen Glaubhaftigkeit davon so wenig abhängt, im Vergleich zu Interaktion.  
  
Mangazeichner haben Ebola und ISIS verharmlost indem sie diesen Abstrakta Gesichter gaben, "Ebola-Chan" und "ISIS-Chan".  
![Ebola-Chan und Isis-Chan](ebola_isis.jpeg)  
   
Wie könnte man Chemtrail-Chan, Illuminati-Chan, Satan-Chan, Facebook-Chan etc. nutzen?  
Einerseits wird ein Ding (Abstraktum, Ungewisses, AI) greifbarer wenn man ihm mit einem Gesicht ausstattet.  
Die Narretei eine Maschine als künstlich intelligent, emotional, bewusst, sich-erinnernd, lebendig etc. zu bezeichnen könnte so sichtbar werden.  
Andererseits könnte es aber auch die "Lüge" verstärken oder die Menschlichkeit der "AI" gar erst glaubhaft machen.
  
  
## Projekte
### Projekt 1
  
![Gerkzeuk](gerkzeuk.png)  
Projekdokumentation: https://victorgiers.com/project/gerkzeuk/  

### Projekt 2
  
Marina Abramovic "The Artist is Present" wird "Gatebox" gegenübergestellt. Gatebox ist eine japanische Maschine, welche aussieht wie eine Kaffeemaschine mit einem kleinen projizierten Animecharakter darin, welches das Haus des Besitzers über "Internet of Things" steuern kann und, als wichtigsten Aspekt, mit dem Besitzer Kommuniziert. Es ist wie eine virtuelle Freundin (die in einer Kaffemaschine lebt), mit der  über SMS und Spracherkennung und -ausgabe kommuniziert wird, welche verliebt wirkt und so weiter.  
Ich habe ein Vergleichsvideo zwischen den beiden Projekten erstellt: https://www.youtube.com/watch?v=e--SLvHRcEQ  
  
### Projekt 3
  
![Empathische Puppe1](empathic_puppet_1.jpg)  
   
Als interaktive WebGL-Applikation welche mit Webcam funktioniert / "spiegelt", gehe zu Projektseite dieser zweiten empathischen Puppe: https://www.victorgiers.com/puppet/  
Dieses Puppenspiel ist inspiriert von den Spiegelneuronen.  
  
### Projekt 4
  
http://www.aitheism.net  

Eine Informations- und Diskussionsplattform im Internet über neue religiöse Bewegungen, welche auf dem Mythos der "künstlichen Intelligenz" fußen.  
Statement der Website:  
  
>Künstliche Intelligenz wird religiös aus folgenden Gründen:  
>- Die Wissenschaft hat noch nicht herausgefunden wie Menschen funktionieren, weshalb Behauptungen darüber, ob simulierte Humanoide oder simulierte humanoide Aspekte funktionieren wie (von) echte(n) Menschen, nicht verifizerbar oder falsifizierbar sind
>- Mit aktueller Machine Learning-Technologie wird klar, dass niemand mehr vollständig unsere selbst erschaffenen Technologien nachvollziehen kann. Diese Lücken im Wissen machen Glaube zur Notwendigkeit
>- Künstler tun ihr Bestes um die "Uncanny Valley" virtueller Wesen nicht nur auf visueller Ebene, sondern auch auf Ebenen der Interaktion mit Maschinen zu überschreiten. Auch Lügen sie potentieller Weise darüber, was ihre Maschinen können 
>  
>AITHEISM ist ein Wortspiel - schneidet man das Wort "Intelligenz" vom Begriff "künstliche Intelligenz" ab scheint es offensichtlich dass es sich "nur um Kunst" handeln könnte - eine Position, welche skeptisches Denken über das Thema und eine neue Form des "Atheismus" ermöglicht.  
>Sollte diese neue Religion respektiert werden wie "jede andere" Religion?  
>Diese Website wird zu diesen Themen ein Diskussionsforum in mehreren Sprachen anbieten.  
>  
>Kritisch: Die Nation / Kultur, welche die technologische Entwicklung in dem Bereich anführt, wird moralische Werte welche sich hieraus ableiten lassen werden global bestimmen. Deshalb sollten wir zusammen an diesem Glauben arbeiten, oder ihn vorwegnehmen, von Anfang an.  
Repository: https://giers10.uber.space/giers10/aitheism  

### Projekt 5
Antikunst, vorausgesetzt „künstliche Intelligenz“ ist Kunst.  
![Puppe](puppe.png)  
Repository: https://giers10.uber.space/giers10/anti-art  
Durch zwei Servomotoren, welche von einem Mikrocontroller in unvorhersehbaren zeitlichen Sequenzen angesteuert werden, wird eine humanoide Marionette kontrolliert.  
Auf der Black-Box befinden sich Sticker, welche den Hype um das Thema "KI" repräsentieren: Zitate aus "The Matrix", ein Terminator- so wie ein Elon Musk-Kopf, HAL 9000 usw.  
Inspirierend hierfür war neben den oben genannten Aspekten auch die Erkenntnis, dass der Kopf der Videospielfirma Nintendo, Shigeru Miyamoto, so wie der Kopf der bekannten Videospielserie "The Legend of Zelda" Eiji Aonuma nach eigenen Angaben leidenschaftliche Puppenspieler sind.   